#pragma once

#include "easycurl.h"

class HttpCurlPost {
public:
	virtual bool Post(const char* url, const void* postdata, size_t datasize);
	const char* GetData() {return _date.data();}
	size_t DataSize() {return _date.length();}
private:
	EasyCurl _curl;
	WriteChunk _date;
};